cudaPointerAttributes(3)

NAME
cudaPointerAttributes -

SYNOPSIS

  Data Fields

void * devicePointer
void * hostPointer
__CUDA_DEPRECATED int isManaged
__CUDA_DEPRECATED enum cudaMemoryType memoryType
enum cudaMemoryType type

Detailed Description

CUDA pointer attributes

Field Documentation

  void* cudaPointerAttributes::devicePointer

The address which may be dereferenced on the current device to access the memory or NULL if no such address exists.

  void* cudaPointerAttributes::hostPointer

The address which may be dereferenced on the host to access the memory or NULL if no such address exists.

Note:
    CUDA doesn't check if unregistered memory is allocated so this field may contain invalid pointer if an invalid pointer has been passed to CUDA.

  __CUDA_DEPRECATED int cudaPointerAttributes::isManaged

Deprecated

Indicates if this pointer points to managed memory

  __CUDA_DEPRECATED enum cudaMemoryType cudaPointerAttributes::memoryType

Deprecated

The physical location of the memory, cudaMemoryTypeHost or cudaMemoryTypeDevice. Note that managed memory can return either cudaMemoryTypeDevice or cudaMemoryTypeHost regardless of it's physical location.

  enum cudaMemoryType cudaPointerAttributes::type

The type of memory - cudaMemoryTypeUnregistered, cudaMemoryTypeHost, cudaMemoryTypeDevice or cudaMemoryTypeManaged.

Author

Generated automatically by Doxygen from the source code.